# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# C:\b\abs_0asxckc55t\clone\recipe, last modified Mon May 15 09:37:44 2023
# ------------------------------------------------

package:
  name: cython-blis
  version: 0.7.9
source:
  sha256: 29ef4c25007785a90ffc2f0ab3d3bd3b75cd2d7856a9a482b7d0dac8d511a09d
  url: https://pypi.io/packages/source/b/blis/blis-0.7.9.tar.gz
build:
  number: '0'
  string: py39h080aedc_0
requirements:
  build:
    - clang 14.0.6 haa95532_1
    - clang-14 14.0.6 default_h120b48b_1
    - clang-format 14.0.6 default_h120b48b_1
    - clang-tools 14.0.6 default_h120b48b_1
    - clangdev 14.0.6 default_h120b48b_1
    - clangxx 14.0.6 default_h120b48b_1
    - libclang 14.0.6 default_hb5a9fac_1
    - libclang-cpp 14.0.6 default_h120b48b_1
    - libclang13 14.0.6 default_h8e68704_1
    - libiconv 1.16 h2bbff1b_2
    - libllvm14 14.0.6 h4157e71_3
    - libxml2 2.10.3 h0ad7f3c_0
    - llvm-tools 14.0.6 h4157e71_3
    - llvmdev 14.0.6 h4157e71_3
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
    - zlib 1.2.13 h8cc25b3_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2023.01.10 haa95532_0
    - cython 0.29.32 py39hd77b12b_0
    - icc_rt 2022.1.0 h6049295_2
    - intel-openmp 2023.1.0 h59b6b97_46319
    - mkl 2023.1.0 h8bd8f75_46356
    - mkl-service 2.4.0 py39h2bbff1b_1
    - mkl_fft 1.3.6 py39hf11a4ad_1
    - mkl_random 1.2.2 py39hf11a4ad_1
    - numpy 1.16.6 py39h749eb61_5
    - numpy-base 1.16.6 py39h9413944_5
    - openssl 1.1.1t h2bbff1b_0
    - pip 23.0.1 py39haa95532_0
    - python 3.9.16 h6244533_2
    - setuptools 66.0.0 py39haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tbb 2021.8.0 h59b6b97_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.38.4 py39haa95532_0
  run:
    - numpy >=1.16.6,<2.0a0
    - python >=3.9,<3.10.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
test:
  commands:
    - pip check
  imports:
    - blis
    - blis.cy
    - blis.py
  requires:
    - pip
about:
  description: 'cython-blis provides the Blis linear algebra routines as a self-contained
    Python C-extension.

    '
  dev_url: https://github.com/explosion/cython-blis
  doc_url: https://github.com/explosion/cython-blis/blob/master/README.md
  home: https://github.com/explosion/cython-blis
  license: BSD-3-Clause
  license_family: BSD
  license_file:
    - LICENSE
    - blis/LICENSE
  summary: "Fast matrix-multiplication as a self-contained Python library \u2013 no\
    \ system dependencies!"
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 0ab1c8a4-c2c7-41d8-8b59-a4094e694e87
  recipe-maintainers:
    - honnibal
    - ines
  remote_url: git@github.com:AnacondaRecipes/cython-blis-feedstock.git
  sha: 571c5f1deb96515aa03a0bfc1d13cf71d26706f0
